<mat-toolbar color="primary" *ngIf="training$ | async as training">
  <button mat-icon-button [routerLink]="['/trainings']">
    <mat-icon>arrow_back</mat-icon>
  </button>

  {{ training.name }}

  <span class="spacer"></span>

  <button mat-icon-button class="menu-button" [matMenuTriggerFor]="menu">
    <mat-icon>more_vert</mat-icon>
  </button>

  <mat-menu #menu="matMenu">
    <button mat-menu-item (click)="showRemoveDialog(training)">{{'app.delete' | translate}}</button>
  </mat-menu>
</mat-toolbar>

<mat-progress-bar *ngIf="loading$ | async"></mat-progress-bar>

<div class="page-content" *ngIf="activitiesCalendar$ | async as activitiesCalendar">
  <mat-grid-list [cols]="gridCols$ | async">
    <mat-grid-tile *ngFor="let date of dates$ | async">
      <div *ngIf="date.date.getTime() < currentDateUTC.getTime()" class="day-passed">
        <div class="day-passed-placeholder">Passed</div>
      </div>

      <div class="day-container">
        <div class="day-title">
          {{ date.date | date: 'fullDate' }}
        </div>

        <div class="scheduled-activities-container">
          <mat-chip-list *ngIf="training$ | async as training">
            <div *ngFor="let scheduledActivity of activitiesCalendar[date.dateStr]">
              <span *ngIf="scheduledActivity.moment === 0">Morning</span>
              <span *ngIf="scheduledActivity.moment === 1">Afternoon</span>
              <span *ngIf="scheduledActivity.moment === 2">Evening</span>

              <mat-chip *ngIf="scheduledActivity && scheduledActivity.activity" selected color="accent" removable (removed)="showRemoveActivityDialog(training, scheduledActivity)" (click)="showUpdateActivityDialog(training, scheduledActivity)">
                {{ scheduledActivity.activity.name }}
                <mat-icon matChipRemove>cancel</mat-icon>
              </mat-chip>
            </div>
          </mat-chip-list>
        </div>
      </div>
    </mat-grid-tile>
  </mat-grid-list>
</div>
